# 2. Liste

## Bakiye Blokla

<mark style="color:blue;">`GET`</mark>`{{WalletUrl}}/api/v1/wallet/balance/blocked?walletId=0000-0000-0000-0000-0000&pageNumber=1&pageSize=50`

{% hint style="info" %}
Not: Bu servisin kullanılabilmesi için **apikeypublic** ve **apiclientpublic** parametrelerinin Header alanına eklenmiş olması zorunludur.

\
[<mark style="color:green;">**WalletAPI Adresi**</mark>](/ortam.md)
{% endhint %}

**Servise gönderilmesi gereken (Headers) parametreler şu şekildedir:**

<table><thead><tr><th width="162">Parametre</th><th width="79">Tip</th><th width="107">Zorunlu</th><th width="403">Açıklama</th></tr></thead><tbody><tr><td>apikeypublic</td><td>string</td><td>Evet</td><td>API erişimi sağlamak için kullanılan genel anahtar.</td></tr><tr><td>apiclientpublic</td><td>string</td><td>Evet</td><td>API istemcisine özel genel kimlik anahtarı.</td></tr></tbody></table>

**Servise gönderilmesi gereken (QueryString) parametreler şu şekildedir:**

| Parametre | Açıklama                                                               |
| --------- | ---------------------------------------------------------------------- |
| walletId  | Blokeli bakiyelerini listelemek istediğiniz cüzdan kimlik (Id) bilgisi |

{% tabs %}
{% tab title="Servis Cevap - Json" %}
{% code lineNumbers="true" %}

```json
{
    "IsSuccess": true,
    "IsFailure": false,
    "Value": {
        "Items": [
            {
                "Id": "3e929747-f686-41e0-bcc8-87718579cc80",
                "WalletId": "2ea244d1-6ed2-4eca-a84b-273c62f64606",
                "Amount": 1000.00,
                "Description": "string",
                "IsActive": true,
                "CreatedAt": "2025-08-20T15:27:41.973673Z",
                "UpdatedAt": null
            },
            {
                "Id": "c5e6f956-ee1b-4fc6-8939-824d45d60f61",
                "WalletId": "2ea244d1-6ed2-4eca-a84b-273c62f64606",
                "Amount": 1000.00,
                "Description": "string",
                "IsActive": true,
                "CreatedAt": "2025-08-20T15:27:41.567031Z",
                "UpdatedAt": null
            },
            {
                "Id": "ec7a56e4-5326-4e9a-aee3-f92ec9128e3a",
                "WalletId": "2ea244d1-6ed2-4eca-a84b-273c62f64606",
                "Amount": 1000.00,
                "Description": "string",
                "IsActive": true,
                "CreatedAt": "2025-08-20T15:27:41.085872Z",
                "UpdatedAt": null
            },
            {
                "Id": "781b0c18-c088-4482-bcb5-f74bd065782a",
                "WalletId": "2ea244d1-6ed2-4eca-a84b-273c62f64606",
                "Amount": 1000.00,
                "Description": "string",
                "IsActive": true,
                "CreatedAt": "2025-08-20T15:27:38.785263Z",
                "UpdatedAt": null
            }
        ],
        "PageNumber": 1,
        "TotalPages": 1,
        "TotalCount": 4,
        "HasPreviousPage": false,
        "HasNextPage": false
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Servis Cevap

<table><thead><tr><th width="234.05859375">Parametre</th><th width="162.38671875">Tip</th><th width="348.94140625">Açıklama</th></tr></thead><tbody><tr><td>Id</td><td>Guid</td><td>Blokeli bakiye kimlik numarası</td></tr><tr><td>WalletId</td><td>Guid</td><td>Cüzdan kimlik numarası</td></tr><tr><td>Amount</td><td>decimal</td><td>Bloklanan tutar</td></tr><tr><td>Description</td><td>string</td><td>Bloklanan bakiye açıklaması</td></tr><tr><td>IsActive</td><td>bool</td><td>Blokeli tutarın aktiflik durumu</td></tr><tr><td>CreatedAt</td><td>DateTime</td><td>Kaydın oluşturulma tarihi</td></tr><tr><td>UpdatedAt</td><td>DateTime</td><td>Kaydın güncellenme tarihi</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.paywall.one/cuzdan-servisleri/9.-bloklu-bakiye/2.-liste.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
